## firmware-carl9170 1.9.4-trisquel1

=== Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /root/git/carl9170fw

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /root/git/carl9170fw

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /root/git/carl9170fw/CMakeFiles /root/git/carl9170fw/CMakeFiles/progress.marks
	$(MAKE) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /root/git/carl9170fw/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named carl9170.elf

# Build rule for target.
carl9170.elf: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 carl9170.elf
.PHONY : carl9170.elf

# fast build rule for target.
carl9170.elf/fast:
	$(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/build
.PHONY : carl9170.elf/fast

#=============================================================================
# Target rules for targets named firmware

# Build rule for target.
firmware: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 firmware
.PHONY : firmware

# fast build rule for target.
firmware/fast:
	$(MAKE) -f carlfw/CMakeFiles/firmware.dir/build.make carlfw/CMakeFiles/firmware.dir/build
.PHONY : firmware/fast

#=============================================================================
# Target rules for targets named miniboot.elf

# Build rule for target.
miniboot.elf: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 miniboot.elf
.PHONY : miniboot.elf

# fast build rule for target.
miniboot.elf/fast:
	$(MAKE) -f minifw/CMakeFiles/miniboot.elf.dir/build.make minifw/CMakeFiles/miniboot.elf.dir/build
.PHONY : miniboot.elf/fast

#=============================================================================
# Target rules for targets named miniboot.fw

# Build rule for target.
miniboot.fw: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 miniboot.fw
.PHONY : miniboot.fw

# fast build rule for target.
miniboot.fw/fast:
	$(MAKE) -f minifw/CMakeFiles/miniboot.fw.dir/build.make minifw/CMakeFiles/miniboot.fw.dir/build
.PHONY : miniboot.fw/fast

#=============================================================================
# Target rules for targets named carlfw

# Build rule for target.
carlfw: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 carlfw
.PHONY : carlfw

# fast build rule for target.
carlfw/fast:
	$(MAKE) -f tools/lib/CMakeFiles/carlfw.dir/build.make tools/lib/CMakeFiles/carlfw.dir/build
.PHONY : carlfw/fast

#=============================================================================
# Target rules for targets named checksum

# Build rule for target.
checksum: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 checksum
.PHONY : checksum

# fast build rule for target.
checksum/fast:
	$(MAKE) -f tools/src/CMakeFiles/checksum.dir/build.make tools/src/CMakeFiles/checksum.dir/build
.PHONY : checksum/fast

#=============================================================================
# Target rules for targets named fwinfo

# Build rule for target.
fwinfo: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 fwinfo
.PHONY : fwinfo

# fast build rule for target.
fwinfo/fast:
	$(MAKE) -f tools/src/CMakeFiles/fwinfo.dir/build.make tools/src/CMakeFiles/fwinfo.dir/build
.PHONY : fwinfo/fast

#=============================================================================
# Target rules for targets named miniboot

# Build rule for target.
miniboot: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 miniboot
.PHONY : miniboot

# fast build rule for target.
miniboot/fast:
	$(MAKE) -f tools/src/CMakeFiles/miniboot.dir/build.make tools/src/CMakeFiles/miniboot.dir/build
.PHONY : miniboot/fast

#=============================================================================
# Target rules for targets named wol

# Build rule for target.
wol: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 wol
.PHONY : wol

# fast build rule for target.
wol/fast:
	$(MAKE) -f tools/src/CMakeFiles/wol.dir/build.make tools/src/CMakeFiles/wol.dir/build
.PHONY : wol/fast

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... rebuild_cache"
	@echo "... carl9170.elf"
	@echo "... firmware"
	@echo "... miniboot.elf"
	@echo "... miniboot.fw"
	@echo "... carlfw"
	@echo "... checksum"
	@echo "... fwinfo"
	@echo "... miniboot"
	@echo "... wol"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system
