=== carlfw/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /root/git/carl9170fw

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /root/git/carl9170fw

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /root/git/carl9170fw && $(CMAKE_COMMAND) -E cmake_progress_start /root/git/carl9170fw/CMakeFiles /root/git/carl9170fw/carlfw/CMakeFiles/progress.marks
	cd /root/git/carl9170fw && $(MAKE) -f CMakeFiles/Makefile2 carlfw/all
	$(CMAKE_COMMAND) -E cmake_progress_start /root/git/carl9170fw/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /root/git/carl9170fw && $(MAKE) -f CMakeFiles/Makefile2 carlfw/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /root/git/carl9170fw && $(MAKE) -f CMakeFiles/Makefile2 carlfw/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /root/git/carl9170fw && $(MAKE) -f CMakeFiles/Makefile2 carlfw/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /root/git/carl9170fw && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
carlfw/CMakeFiles/carl9170.elf.dir/rule:
	cd /root/git/carl9170fw && $(MAKE) -f CMakeFiles/Makefile2 carlfw/CMakeFiles/carl9170.elf.dir/rule
.PHONY : carlfw/CMakeFiles/carl9170.elf.dir/rule

# Convenience name for target.
carl9170.elf: carlfw/CMakeFiles/carl9170.elf.dir/rule
.PHONY : carl9170.elf

# fast build rule for target.
carl9170.elf/fast:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/build
.PHONY : carl9170.elf/fast

# Convenience name for target.
carlfw/CMakeFiles/firmware.dir/rule:
	cd /root/git/carl9170fw && $(MAKE) -f CMakeFiles/Makefile2 carlfw/CMakeFiles/firmware.dir/rule
.PHONY : carlfw/CMakeFiles/firmware.dir/rule

# Convenience name for target.
firmware: carlfw/CMakeFiles/firmware.dir/rule
.PHONY : firmware

# fast build rule for target.
firmware/fast:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/firmware.dir/build.make carlfw/CMakeFiles/firmware.dir/build
.PHONY : firmware/fast

src/cam.o: src/cam.c.o
.PHONY : src/cam.o

# target to build an object file
src/cam.c.o:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/src/cam.c.o
.PHONY : src/cam.c.o

src/cam.i: src/cam.c.i
.PHONY : src/cam.i

# target to preprocess a source file
src/cam.c.i:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/src/cam.c.i
.PHONY : src/cam.c.i

src/cam.s: src/cam.c.s
.PHONY : src/cam.s

# target to generate assembly for a file
src/cam.c.s:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/src/cam.c.s
.PHONY : src/cam.c.s

src/dma.o: src/dma.c.o
.PHONY : src/dma.o

# target to build an object file
src/dma.c.o:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/src/dma.c.o
.PHONY : src/dma.c.o

src/dma.i: src/dma.c.i
.PHONY : src/dma.i

# target to preprocess a source file
src/dma.c.i:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/src/dma.c.i
.PHONY : src/dma.c.i

src/dma.s: src/dma.c.s
.PHONY : src/dma.s

# target to generate assembly for a file
src/dma.c.s:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/src/dma.c.s
.PHONY : src/dma.c.s

src/fw.o: src/fw.c.o
.PHONY : src/fw.o

# target to build an object file
src/fw.c.o:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/src/fw.c.o
.PHONY : src/fw.c.o

src/fw.i: src/fw.c.i
.PHONY : src/fw.i

# target to preprocess a source file
src/fw.c.i:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/src/fw.c.i
.PHONY : src/fw.c.i

src/fw.s: src/fw.c.s
.PHONY : src/fw.s

# target to generate assembly for a file
src/fw.c.s:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/src/fw.c.s
.PHONY : src/fw.c.s

src/gpio.o: src/gpio.c.o
.PHONY : src/gpio.o

# target to build an object file
src/gpio.c.o:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/src/gpio.c.o
.PHONY : src/gpio.c.o

src/gpio.i: src/gpio.c.i
.PHONY : src/gpio.i

# target to preprocess a source file
src/gpio.c.i:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/src/gpio.c.i
.PHONY : src/gpio.c.i

src/gpio.s: src/gpio.c.s
.PHONY : src/gpio.s

# target to generate assembly for a file
src/gpio.c.s:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/src/gpio.c.s
.PHONY : src/gpio.c.s

src/hostif.o: src/hostif.c.o
.PHONY : src/hostif.o

# target to build an object file
src/hostif.c.o:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/src/hostif.c.o
.PHONY : src/hostif.c.o

src/hostif.i: src/hostif.c.i
.PHONY : src/hostif.i

# target to preprocess a source file
src/hostif.c.i:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/src/hostif.c.i
.PHONY : src/hostif.c.i

src/hostif.s: src/hostif.c.s
.PHONY : src/hostif.s

# target to generate assembly for a file
src/hostif.c.s:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/src/hostif.c.s
.PHONY : src/hostif.c.s

src/main.o: src/main.c.o
.PHONY : src/main.o

# target to build an object file
src/main.c.o:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/src/main.c.o
.PHONY : src/main.c.o

src/main.i: src/main.c.i
.PHONY : src/main.i

# target to preprocess a source file
src/main.c.i:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/src/main.c.i
.PHONY : src/main.c.i

src/main.s: src/main.c.s
.PHONY : src/main.s

# target to generate assembly for a file
src/main.c.s:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/src/main.c.s
.PHONY : src/main.c.s

src/memcpy.o: src/memcpy.S.o
.PHONY : src/memcpy.o

# target to build an object file
src/memcpy.S.o:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/src/memcpy.S.o
.PHONY : src/memcpy.S.o

src/memcpy.i: src/memcpy.S.i
.PHONY : src/memcpy.i

# target to preprocess a source file
src/memcpy.S.i:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/src/memcpy.S.i
.PHONY : src/memcpy.S.i

src/memcpy.s: src/memcpy.S.s
.PHONY : src/memcpy.s

# target to generate assembly for a file
src/memcpy.S.s:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/src/memcpy.S.s
.PHONY : src/memcpy.S.s

src/memset.o: src/memset.S.o
.PHONY : src/memset.o

# target to build an object file
src/memset.S.o:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/src/memset.S.o
.PHONY : src/memset.S.o

src/memset.i: src/memset.S.i
.PHONY : src/memset.i

# target to preprocess a source file
src/memset.S.i:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/src/memset.S.i
.PHONY : src/memset.S.i

src/memset.s: src/memset.S.s
.PHONY : src/memset.s

# target to generate assembly for a file
src/memset.S.s:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/src/memset.S.s
.PHONY : src/memset.S.s

src/printf.o: src/printf.c.o
.PHONY : src/printf.o

# target to build an object file
src/printf.c.o:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/src/printf.c.o
.PHONY : src/printf.c.o

src/printf.i: src/printf.c.i
.PHONY : src/printf.i

# target to preprocess a source file
src/printf.c.i:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/src/printf.c.i
.PHONY : src/printf.c.i

src/printf.s: src/printf.c.s
.PHONY : src/printf.s

# target to generate assembly for a file
src/printf.c.s:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/src/printf.c.s
.PHONY : src/printf.c.s

src/reboot.o: src/reboot.S.o
.PHONY : src/reboot.o

# target to build an object file
src/reboot.S.o:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/src/reboot.S.o
.PHONY : src/reboot.S.o

src/reboot.i: src/reboot.S.i
.PHONY : src/reboot.i

# target to preprocess a source file
src/reboot.S.i:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/src/reboot.S.i
.PHONY : src/reboot.S.i

src/reboot.s: src/reboot.S.s
.PHONY : src/reboot.s

# target to generate assembly for a file
src/reboot.S.s:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/src/reboot.S.s
.PHONY : src/reboot.S.s

src/rf.o: src/rf.c.o
.PHONY : src/rf.o

# target to build an object file
src/rf.c.o:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/src/rf.c.o
.PHONY : src/rf.c.o

src/rf.i: src/rf.c.i
.PHONY : src/rf.i
