=== config/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /root/git/carl9170fw/config

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /root/git/carl9170fw/config

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /root/git/carl9170fw/config/CMakeFiles /root/git/carl9170fw/config/CMakeFiles/progress.marks
	$(MAKE) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /root/git/carl9170fw/config/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named conf

# Build rule for target.
conf: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 conf
.PHONY : conf

# fast build rule for target.
conf/fast:
	$(MAKE) -f CMakeFiles/conf.dir/build.make CMakeFiles/conf.dir/build
.PHONY : conf/fast

conf.o: conf.c.o
.PHONY : conf.o

# target to build an object file
conf.c.o:
	$(MAKE) -f CMakeFiles/conf.dir/build.make CMakeFiles/conf.dir/conf.c.o
.PHONY : conf.c.o

conf.i: conf.c.i
.PHONY : conf.i

# target to preprocess a source file
conf.c.i:
	$(MAKE) -f CMakeFiles/conf.dir/build.make CMakeFiles/conf.dir/conf.c.i
.PHONY : conf.c.i

conf.s: conf.c.s
.PHONY : conf.s

# target to generate assembly for a file
conf.c.s:
	$(MAKE) -f CMakeFiles/conf.dir/build.make CMakeFiles/conf.dir/conf.c.s
.PHONY : conf.c.s

zconf.tab.o: zconf.tab.c.o
.PHONY : zconf.tab.o

# target to build an object file
zconf.tab.c.o:
	$(MAKE) -f CMakeFiles/conf.dir/build.make CMakeFiles/conf.dir/zconf.tab.c.o
.PHONY : zconf.tab.c.o

zconf.tab.i: zconf.tab.c.i
.PHONY : zconf.tab.i

# target to preprocess a source file
zconf.tab.c.i:
	$(MAKE) -f CMakeFiles/conf.dir/build.make CMakeFiles/conf.dir/zconf.tab.c.i
.PHONY : zconf.tab.c.i

zconf.tab.s: zconf.tab.c.s
.PHONY : zconf.tab.s

# target to generate assembly for a file
zconf.tab.c.s:
	$(MAKE) -f CMakeFiles/conf.dir/build.make CMakeFiles/conf.dir/zconf.tab.c.s
.PHONY : zconf.tab.c.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... conf"
	@echo "... edit_cache"
	@echo "... rebuild_cache"
	@echo "... conf.o"
	@echo "... conf.i"
	@echo "... conf.s"
	@echo "... zconf.tab.o"
	@echo "... zconf.tab.i"
	@echo "... zconf.tab.s"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system
