=== tools/src/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /root/git/carl9170fw

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /root/git/carl9170fw

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /root/git/carl9170fw && $(CMAKE_COMMAND) -E cmake_progress_start /root/git/carl9170fw/CMakeFiles /root/git/carl9170fw/tools/src/CMakeFiles/progress.marks
	cd /root/git/carl9170fw && $(MAKE) -f CMakeFiles/Makefile2 tools/src/all
	$(CMAKE_COMMAND) -E cmake_progress_start /root/git/carl9170fw/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /root/git/carl9170fw && $(MAKE) -f CMakeFiles/Makefile2 tools/src/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /root/git/carl9170fw && $(MAKE) -f CMakeFiles/Makefile2 tools/src/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /root/git/carl9170fw && $(MAKE) -f CMakeFiles/Makefile2 tools/src/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /root/git/carl9170fw && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
tools/src/CMakeFiles/checksum.dir/rule:
	cd /root/git/carl9170fw && $(MAKE) -f CMakeFiles/Makefile2 tools/src/CMakeFiles/checksum.dir/rule
.PHONY : tools/src/CMakeFiles/checksum.dir/rule

# Convenience name for target.
checksum: tools/src/CMakeFiles/checksum.dir/rule
.PHONY : checksum

# fast build rule for target.
checksum/fast:
	cd /root/git/carl9170fw && $(MAKE) -f tools/src/CMakeFiles/checksum.dir/build.make tools/src/CMakeFiles/checksum.dir/build
.PHONY : checksum/fast

# Convenience name for target.
tools/src/CMakeFiles/fwinfo.dir/rule:
	cd /root/git/carl9170fw && $(MAKE) -f CMakeFiles/Makefile2 tools/src/CMakeFiles/fwinfo.dir/rule
.PHONY : tools/src/CMakeFiles/fwinfo.dir/rule

# Convenience name for target.
fwinfo: tools/src/CMakeFiles/fwinfo.dir/rule
.PHONY : fwinfo

# fast build rule for target.
fwinfo/fast:
	cd /root/git/carl9170fw && $(MAKE) -f tools/src/CMakeFiles/fwinfo.dir/build.make tools/src/CMakeFiles/fwinfo.dir/build
.PHONY : fwinfo/fast

# Convenience name for target.
tools/src/CMakeFiles/miniboot.dir/rule:
	cd /root/git/carl9170fw && $(MAKE) -f CMakeFiles/Makefile2 tools/src/CMakeFiles/miniboot.dir/rule
.PHONY : tools/src/CMakeFiles/miniboot.dir/rule

# Convenience name for target.
miniboot: tools/src/CMakeFiles/miniboot.dir/rule
.PHONY : miniboot

# fast build rule for target.
miniboot/fast:
	cd /root/git/carl9170fw && $(MAKE) -f tools/src/CMakeFiles/miniboot.dir/build.make tools/src/CMakeFiles/miniboot.dir/build
.PHONY : miniboot/fast

# Convenience name for target.
tools/src/CMakeFiles/wol.dir/rule:
	cd /root/git/carl9170fw && $(MAKE) -f CMakeFiles/Makefile2 tools/src/CMakeFiles/wol.dir/rule
.PHONY : tools/src/CMakeFiles/wol.dir/rule

# Convenience name for target.
wol: tools/src/CMakeFiles/wol.dir/rule
.PHONY : wol

# fast build rule for target.
wol/fast:
	cd /root/git/carl9170fw && $(MAKE) -f tools/src/CMakeFiles/wol.dir/build.make tools/src/CMakeFiles/wol.dir/build
.PHONY : wol/fast

checksum.o: checksum.c.o
.PHONY : checksum.o

# target to build an object file
checksum.c.o:
	cd /root/git/carl9170fw && $(MAKE) -f tools/src/CMakeFiles/checksum.dir/build.make tools/src/CMakeFiles/checksum.dir/checksum.c.o
.PHONY : checksum.c.o

checksum.i: checksum.c.i
.PHONY : checksum.i

# target to preprocess a source file
checksum.c.i:
	cd /root/git/carl9170fw && $(MAKE) -f tools/src/CMakeFiles/checksum.dir/build.make tools/src/CMakeFiles/checksum.dir/checksum.c.i
.PHONY : checksum.c.i

checksum.s: checksum.c.s
.PHONY : checksum.s

# target to generate assembly for a file
checksum.c.s:
	cd /root/git/carl9170fw && $(MAKE) -f tools/src/CMakeFiles/checksum.dir/build.make tools/src/CMakeFiles/checksum.dir/checksum.c.s
.PHONY : checksum.c.s

fwinfo.o: fwinfo.c.o
.PHONY : fwinfo.o

# target to build an object file
fwinfo.c.o:
	cd /root/git/carl9170fw && $(MAKE) -f tools/src/CMakeFiles/fwinfo.dir/build.make tools/src/CMakeFiles/fwinfo.dir/fwinfo.c.o
.PHONY : fwinfo.c.o

fwinfo.i: fwinfo.c.i
.PHONY : fwinfo.i

# target to preprocess a source file
fwinfo.c.i:
	cd /root/git/carl9170fw && $(MAKE) -f tools/src/CMakeFiles/fwinfo.dir/build.make tools/src/CMakeFiles/fwinfo.dir/fwinfo.c.i
.PHONY : fwinfo.c.i

fwinfo.s: fwinfo.c.s
.PHONY : fwinfo.s

# target to generate assembly for a file
fwinfo.c.s:
	cd /root/git/carl9170fw && $(MAKE) -f tools/src/CMakeFiles/fwinfo.dir/build.make tools/src/CMakeFiles/fwinfo.dir/fwinfo.c.s
.PHONY : fwinfo.c.s

miniboot.o: miniboot.c.o
.PHONY : miniboot.o

# target to build an object file
miniboot.c.o:
	cd /root/git/carl9170fw && $(MAKE) -f tools/src/CMakeFiles/miniboot.dir/build.make tools/src/CMakeFiles/miniboot.dir/miniboot.c.o
.PHONY : miniboot.c.o

miniboot.i: miniboot.c.i
.PHONY : miniboot.i

# target to preprocess a source file
miniboot.c.i:
	cd /root/git/carl9170fw && $(MAKE) -f tools/src/CMakeFiles/miniboot.dir/build.make tools/src/CMakeFiles/miniboot.dir/miniboot.c.i
.PHONY : miniboot.c.i

miniboot.s: miniboot.c.s
.PHONY : miniboot.s

# target to generate assembly for a file
miniboot.c.s:
	cd /root/git/carl9170fw && $(MAKE) -f tools/src/CMakeFiles/miniboot.dir/build.make tools/src/CMakeFiles/miniboot.dir/miniboot.c.s
.PHONY : miniboot.c.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... checksum"
	@echo "... edit_cache"
	@echo "... fwinfo"
	@echo "... miniboot"
	@echo "... rebuild_cache"
	@echo "... wol"
	@echo "... checksum.o"
	@echo "... checksum.i"
	@echo "... checksum.s"
	@echo "... fwinfo.o"
	@echo "... fwinfo.i"
	@echo "... fwinfo.s"
	@echo "... miniboot.o"
	@echo "... miniboot.i"
	@echo "... miniboot.s"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /root/git/carl9170fw && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system
