=== debian/changelog ===
firmware-carl9170 (1.9.4-trisquel1) unstable; urgency=low

  * Added udeb packaging

 -- Ruben Rodriguez <ruben@trisquel.info>  Sun, 23 Feb 2014 00:00:00 +0000
