=== debian/control ===
Source: firmware-carl9170
Section: admin
Priority: optional
Maintainer: Rubén Rodríguez <ruben@trisquel.info>
Build-Depends: debhelper, cmake, bison, make
Standards-Version: 3.5.9.0

Package: firmware-carl9170
Architecture: all
Description: Binary firmware for Atheros AR9170
 This package contains the binary firmware for Atheros AR9170 802.11n USB WLAN
 devices, used by carl9170 community driver.
 .
 Contents:
  * Atheros AR9170 firmware for carl9170 (carl9170-1.fw)

Package: firmware-carl9170-udeb
Section: debian-installer
XC-Package-Type: udeb
Architecture: all
Description: Binary firmware for Atheros AR9170
 This package contains the binary firmware for Atheros AR9170 802.11n USB WLAN
 devices, used by carl9170 community driver.
 .
 Contents:
  * Atheros AR9170 firmware for carl9170 (carl9170-1.fw)
