=== debian/rules ===
#!/usr/bin/make -f

build:

clean:
	dh_testdir
	dh_testroot
	dh_clean
	make clean
	make -C config clean
	make -C toolchain clean
	rm toolchain/inst toolchain/build -rf
	ls -1 toolchain/src/ | grep -v tar | xargs -i rm -rf toolchain/src/{}

binary-indep:
	dh_clean
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs

	# toolchain
	make -C ./toolchain

	# config parser
	#cmake config
	#make -C config
	#config/conf --alldefconfig Kconfig
	
	# firmware
	#cmake .
	make
	tools/src/miniboot a carlfw/carl9170.fw minifw/miniboot.fw
	cp carlfw/carl9170.fw carlfw/carl9170-1.fw
	
	dh_installdirs
	dh_install
	dh_fixperms
	dh_compress
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch:

binary: binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean build
